Skip to main content
PATCH
/
me
/
passkeys
/
{id}
Rename passkey
curl --request PATCH \
  --url https://api.wacht.dev/me/passkeys/{id} \
  --header 'Content-Type: application/json' \
  --cookie session_id= \
  --data '
{
  "name": "My iPhone"
}
'
{
  "status": 200,
  "message": "",
  "data": {
    "id": "123456789012345678",
    "user_id": "<string>",
    "name": "My iPhone",
    "credential_id": "<string>",
    "transports": [
      "<string>"
    ],
    "backup_eligible": true,
    "device_type": "platform",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Path Parameters

id
string<uint64>
required

Body

application/json
name
string
required
Example:

"My iPhone"

Response

Passkey renamed successfully

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)